Index: modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenaireResultSubmitter.java
===================================================================
--- modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenaireResultSubmitter.java	(revision 56333)
+++ modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenaireResultSubmitter.java	(revision 56334)
@@ -29,6 +29,9 @@
 
 	private static final Log log = LogFactory.getLog(OpenaireResultSubmitter.class);
 
+	@Value(value = "${openaire.api.community}")
+	private String community_api;
+
 	@Value(value = "oaf.schema.location")
 	private String oafSchemaLocation;
 
@@ -134,7 +137,7 @@
 	private String feed(final ResultEntry pub) throws DirecIndexApiException {
 		try {
 
-			final String oafRecord = pub.asOafRecord(velocityEngine, serviceLocator.getService(ISLookUpService.class), oafSchemaLocation);
+			final String oafRecord = pub.asOafRecord(velocityEngine, serviceLocator.getService(ISLookUpService.class), oafSchemaLocation, community_api);
 
 			for(Map.Entry<IndexDsInfo, CloudIndexClient> e : clientMap.getClients().entrySet()) {
 				final IndexDsInfo idx = e.getKey();
Index: modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenAIRESubmitterUtils.java
===================================================================
--- modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenAIRESubmitterUtils.java	(revision 56333)
+++ modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/api/OpenAIRESubmitterUtils.java	(revision 56334)
@@ -19,6 +19,11 @@
 
 	private static final org.apache.commons.logging.Log log = org.apache.commons.logging.LogFactory.getLog(OpenAIRESubmitterUtils.class);
 	private static final String ZENODO_COMMUNITY = "zenodo.org/communities/";
+	private String community_api;
+	public OpenAIRESubmitterUtils(String community_api){
+		this.community_api = community_api;
+	}
+
 	public Map<String, String> calculateProjectInfo(final String link) {
 		final Map<String, String> info = new HashMap<String, String>();
 		final String[] arr = link.split("/");
@@ -151,18 +156,13 @@
 					return null;
 				}).collect(Collectors.toList());
 
-//		for(String c:contexts){
-//			if(c.contains(ZENODO_COMMUNITY)){
-//				zenodoContexts.add(c.substring(c.lastIndexOf("/")+1));
-//			}
-//		}
 		if (zenodoContexts.size()>0){
-			contexts = contexts.stream().filter(c -> !c.contains("https://zenodo.org/communities/")).collect(Collectors.toList());
+			contexts = contexts.stream().filter(c -> !c.contains(ZENODO_COMMUNITY)).collect(Collectors.toList());
 			RestTemplate rt = new RestTemplate();
 			Set<String> zenodoOpenAIRE = new HashSet<>();
 			for (String context: zenodoContexts){
 				//String ct = context.substring(context.lastIndexOf("/")+1);
-				zenodoOpenAIRE.addAll(rt.getForObject("http://beta.services.openaire.eu/openaire/community/"+context+"/openairecommunities", ZenodoContextList.class).getOpenAirecommunitylist());
+				zenodoOpenAIRE.addAll(rt.getForObject(community_api +context+"/openairecommunities", ZenodoContextList.class).getOpenAirecommunitylist());
 
 			}
 			contexts.addAll(zenodoOpenAIRE);
Index: modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/objects/ResultEntry.java
===================================================================
--- modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/objects/ResultEntry.java	(revision 56333)
+++ modules/dnet-directindex-api/trunk/src/main/java/eu/dnetlib/openaire/directindex/objects/ResultEntry.java	(revision 56334)
@@ -233,7 +233,8 @@
 
 	public String asOafRecord(final VelocityEngine ve,
 			final ISLookUpService lookupService,
-			final String oafSchemaLocation) throws Exception {
+			final String oafSchemaLocation,
+							  final String community_api) throws Exception {
 
 		if (StringUtils.isBlank(getOriginalId())
 				&& StringUtils
@@ -258,7 +259,7 @@
 
 		final Map<String, Object> model = new HashMap<>();
 		model.put("esc", new EscapeXml());
-		model.put("util", new OpenAIRESubmitterUtils());
+		model.put("util", new OpenAIRESubmitterUtils(community_api));
 		model.put("pub", this);
 		model.put("objIdentifier", getOpenaireId());
 		model.put("oafSchemaLocation", oafSchemaLocation);
Index: modules/dnet-directindex-api/trunk/src/main/resources/eu/dnetlib/openaire/directindex/applicationContext-api.properties
===================================================================
--- modules/dnet-directindex-api/trunk/src/main/resources/eu/dnetlib/openaire/directindex/applicationContext-api.properties	(revision 56333)
+++ modules/dnet-directindex-api/trunk/src/main/resources/eu/dnetlib/openaire/directindex/applicationContext-api.properties	(revision 56334)
@@ -6,4 +6,5 @@
 openaire.api.directindex.findSolrIndexUrl.xquery=/eu/dnetlib/openaire/directindex/findSolrIndexUrl.xquery
 openaire.api.directindex.findIndexDsInfo.xquery=/eu/dnetlib/openaire/directindex/findIndexDsInfo.xquery
 openaire.api.directindex.autocommit.active=true
-openaire.api.directindex.autocommit.frequency=60
\ No newline at end of file
+openaire.api.directindex.autocommit.frequency=6
+openaire.api.community=http://${container.hostname}/openaire/community/
\ No newline at end of file