Index: modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationCountryToDatasource.xml
===================================================================
--- modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationCountryToDatasource.xml	(nonexistent)
+++ modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationCountryToDatasource.xml	(revision 56358)
@@ -0,0 +1,76 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="9986e1e0-ce6b-41aa-a49e-46a651c10d6b_V29ya2Zsb3dEU1Jlc291cmNlcy9Xb3JrZmxvd0RTUmVzb3VyY2VUeXBl"/>
+        <RESOURCE_TYPE value="WorkflowDSResourceType"/>
+        <RESOURCE_KIND value="WorkflowDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2018-12-03T10:47:41+00:00"/>
+    </HEADER>
+    <BODY>
+        <WORKFLOW_NAME>Propagate Country from Institutional Repos</WORKFLOW_NAME>
+        <WORKFLOW_TYPE>Data Provision</WORKFLOW_TYPE>
+        <WORKFLOW_PRIORITY>30</WORKFLOW_PRIORITY>
+        <CONFIGURATION start="manual">
+            <NODE isStart="true" name="setOutputFile" type="SetEnvParameter">
+                <DESCRIPTION>Set the CSV file path on HDFS</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="parameterName" required="true" type="string">csvPath</PARAM>
+                    <PARAM managedBy="user" name="parameterValue" required="true" type="string">/tmp/db_openaireplus_services_beta.countryPropagation</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isStart="true" name="hadoopConfig" type="SetClusterAndTable">
+                <DESCRIPTION>Set table name</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+                    <PARAM managedBy="system" name="tableParam" required="true" type="string">tableName</PARAM>
+                    <PARAM managedBy="user" name="table" required="true" type="string">db_openaireplus_services_beta</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isJoin="true" name="cleanupCsv" type="DeleteHdfsPathJob">
+                <DESCRIPTION>CSV files cleanup</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'path' : 'csvPath',
+                        'cluster' : 'cluster'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="propagateCountry"/>
+                </ARCS>
+            </NODE>
+            <NODE isJoin="false" name="propagateCountry" type="SubmitHadoopJob">
+                <DESCRIPTION>Propagation of country from institutional repos</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM function="validValues(['propagationCountryFromInstitutionalRepositoriesSaveToFile', 'propagationCountryFromInstitutionalRepositories'])" managedBy="user" name="hadoopJob" required="true" type="string">propagationCountryFromInstitutionalRepositories</PARAM>
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'cluster' : 'cluster',
+                        'hbase.mapred.inputtable' : 'tableName',
+                        'hbase.mapred.outputtable' : 'tableName',
+                        'hbase.mapreduce.inputtable' : 'tableName',
+                        'hbase.mapreduce.outputtable' : 'tableName',
+                        'mapred.output.dir' : 'csvPath'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="success"/>
+                </ARCS>
+            </NODE>
+        </CONFIGURATION>
+        <STATUS>
+            <LAST_EXECUTION_ID>wf_20190613_071747_187</LAST_EXECUTION_ID>
+            <LAST_EXECUTION_DATE>2019-06-13T07:46:27+00:00</LAST_EXECUTION_DATE>
+            <LAST_EXECUTION_STATUS>SUCCESS</LAST_EXECUTION_STATUS>
+            <LAST_EXECUTION_ERROR/>
+        </STATUS>
+    </BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationProjectResult.xml
===================================================================
--- modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationProjectResult.xml	(nonexistent)
+++ modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationProjectResult.xml	(revision 56358)
@@ -0,0 +1,76 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="6f19d058-326a-417d-b9ee-44eed3c32a35_V29ya2Zsb3dEU1Jlc291cmNlcy9Xb3JrZmxvd0RTUmVzb3VyY2VUeXBl"/>
+        <RESOURCE_TYPE value="WorkflowDSResourceType"/>
+        <RESOURCE_KIND value="WorkflowDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2019-02-20T15:46:09+00:00"/>
+    </HEADER>
+    <BODY>
+        <WORKFLOW_NAME>Propagation of Project Results</WORKFLOW_NAME>
+        <WORKFLOW_TYPE>Data Provision</WORKFLOW_TYPE>
+        <WORKFLOW_PRIORITY>30</WORKFLOW_PRIORITY>
+        <CONFIGURATION start="auto">
+            <NODE isStart="true" name="setOutputFile" type="SetEnvParameter">
+                <DESCRIPTION>Set the CSV file path on HDFS</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="parameterName" required="true" type="string">csvPath</PARAM>
+                    <PARAM managedBy="user" name="parameterValue" required="true" type="string">/tmp/db_openaireplus_services_beta.projectPropagation</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isStart="true" name="hadoopConfig" type="SetClusterAndTable">
+                <DESCRIPTION>Set table name</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+                    <PARAM managedBy="system" name="tableParam" required="true" type="string">tableName</PARAM>
+                    <PARAM managedBy="user" name="table" required="true" type="string">db_openaireplus_services_beta</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isJoin="true" name="cleanupCsv" type="DeleteHdfsPathJob">
+                <DESCRIPTION>CSV files cleanup</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'path' : 'csvPath',
+                        'cluster' : 'cluster'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="propagateProject"/>
+                </ARCS>
+            </NODE>
+            <NODE name="propagateProject" type="SubmitHadoopJob">
+                <DESCRIPTION>propagation of project link between research result linked by semantic relations</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM function="validValues(['propagationProjectToResult','propagationProjectToResultSaveToFile'])" managedBy="user" name="hadoopJob" required="true" type="string">propagationProjectToResult</PARAM><!-- <PARAM managedBy="system" name="hadoopJob" required="true" type="string">projectToResultJob</PARAM>-->
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'cluster' : 'cluster',
+                        'hbase.mapred.inputtable' : 'tableName',
+                        'hbase.mapred.outputtable' : 'tableName',
+                        'hbase.mapreduce.inputtable' : 'tableName',
+                        'hbase.mapreduce.outputtable' : 'tableName',
+                        'mapred.output.dir' : 'csvPath'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="success"/>
+                </ARCS>
+            </NODE>
+        </CONFIGURATION>
+        <STATUS>
+            <LAST_EXECUTION_ID>wf_20190613_074630_96</LAST_EXECUTION_ID>
+            <LAST_EXECUTION_DATE>2019-06-13T08:08:06+00:00</LAST_EXECUTION_DATE>
+            <LAST_EXECUTION_STATUS>SUCCESS</LAST_EXECUTION_STATUS>
+            <LAST_EXECUTION_ERROR/>
+        </STATUS>
+    </BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file
Index: modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationResult2community.xml
===================================================================
--- modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationResult2community.xml	(nonexistent)
+++ modules/dnet-openaireplus-workflows/branches/dnet-hadoop/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/propagation/propagationResult2community.xml	(revision 56358)
@@ -0,0 +1,85 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="36ab117d-bafd-46a0-9c7e-38736d1caaaf_V29ya2Zsb3dEU1Jlc291cmNlcy9Xb3JrZmxvd0RTUmVzb3VyY2VUeXBl"/>
+        <RESOURCE_TYPE value="WorkflowDSResourceType"/>
+        <RESOURCE_KIND value="WorkflowDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2019-06-28T12:09:03+02:00"/>
+    </HEADER>
+    <BODY>
+        <WORKFLOW_NAME>Propagation result 2 community</WORKFLOW_NAME>
+        <WORKFLOW_TYPE>Data Provision</WORKFLOW_TYPE>
+        <WORKFLOW_PRIORITY>30</WORKFLOW_PRIORITY>
+        <CONFIGURATION start="manual">
+            <NODE isStart="true" name="setOutputFile" type="SetEnvParameter">
+                <DESCRIPTION>Set the CSV file path on HDFS</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="parameterName" required="true" type="string">csvPath</PARAM>
+                    <PARAM managedBy="user" name="parameterValue" required="true" type="string">/tmp/db_openaireplus_services_beta.communityPropagation</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isStart="true" name="hadoopConfig" type="SetClusterAndTable">
+                <DESCRIPTION>Set table name</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="cluster" required="true" type="string">DM</PARAM>
+                    <PARAM managedBy="system" name="tableParam" required="true" type="string">tableName</PARAM>
+                    <PARAM managedBy="user" name="table" required="true" type="string">dev_openaire</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="cleanupCsv"/>
+                </ARCS>
+            </NODE>
+            <NODE isJoin="true" name="cleanupCsv" type="DeleteHdfsPathJob">
+                <DESCRIPTION>CSV files cleanup</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'path' : 'csvPath',
+                        'cluster' : 'cluster'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="fetchCommunityIdListr"/>
+                </ARCS>
+            </NODE>
+            <NODE isStart="true" name="fetchCommunityIdListr" type="LoadCommunityIdsList">
+                <DESCRIPTION>Fetch the list of the community ids</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM managedBy="system" name="communityIdParam" required="true">community.ids</PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="propagateCommunity"/>
+                </ARCS>
+            </NODE>
+            <NODE isJoin="true" name="propagate" type="SubmitHadoopJob">
+                <DESCRIPTION>Propagatio of result to community through semantic relation</DESCRIPTION>
+                <PARAMETERS>
+                    <PARAM function="validValues(['propagationResultToCommunityThroughSemanticRelation','propagationResultToCommunityThroughSemanticRelationSaveToFile'])" managedBy="user" name="hadoopJob" required="true" type="string">propagationResultToCommunityThroughSemanticRelationSaveToFile</PARAM>
+                    <PARAM managedBy="system" name="envParams" required="true" type="string">
+                        {
+                        'cluster' : 'cluster',
+                        'hbase.mapred.inputtable' : 'tableName',
+                        'hbase.mapred.outputtable' : 'tableName',
+                        'hbase.mapreduce.inputtable' : 'tableName',
+                        'hbase.mapreduce.outputtable' : 'tableName',
+                        'community.ids' : 'community.ids'
+                        }
+                    </PARAM>
+                </PARAMETERS>
+                <ARCS>
+                    <ARC to="success"/>
+                </ARCS>
+            </NODE>
+        </CONFIGURATION>
+        <STATUS>
+            <LAST_EXECUTION_ID>wf_20180807_172327_510</LAST_EXECUTION_ID>
+            <LAST_EXECUTION_DATE>2019-06-28T17:24:53+02:00</LAST_EXECUTION_DATE>
+            <LAST_EXECUTION_STATUS>SUCCESS</LAST_EXECUTION_STATUS>
+            <LAST_EXECUTION_ERROR/>
+        </STATUS>
+    </BODY>
+</RESOURCE_PROFILE>