Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impl/ValidatorManagerImpl.java	(revision 56962)
@@ -32,8 +32,8 @@
 @Transactional
 public class ValidatorManagerImpl implements ValidatorManager {
 
-        private Emailer emailer;
-        private Validator validator;
+	private Emailer emailer;
+	private Validator validator;
 	private JobsDAO jobsDao;
 	private RulesetsDAO rulesetsDao;
 	private RulesDAO rulesDao;
@@ -43,7 +43,6 @@
 	private static Logger logger = Logger.getLogger(ValidatorManagerImpl.class);
 
 	private ListenersManager listenersManager;
-//	this.restartJobs();
 	public void start() {
 		logger.info("Initializing Validator Manager module");
 		if (valRestore.isAutoRestoreOnStartup()) {
@@ -301,8 +300,8 @@
 			Map<String, Set<Rule>> entityChosenRulesMapReferential = null;
 			
 			if (job.isCris()) {
-				entityChosenRulesMap = new HashMap<String, Set<Rule>>();
-				entityChosenRulesMapReferential = new HashMap<String, Set<Rule>>();
+				entityChosenRulesMap = new HashMap<>();
+				entityChosenRulesMapReferential = new HashMap<>();
 				this.prepareCrisJobs(job, entityChosenRulesMap, entityChosenRulesMapReferential);
 				newJob.setGroupByXpath("//header/setSpec");
 				contentJobs = entityChosenRulesMap.keySet().size() + entityChosenRulesMapReferential.keySet().size();
@@ -337,18 +336,18 @@
 			RegistrationListener regListener = null;
 			if (job.isRegistration()) {
 				regListener = listenersManager.createRegListener();
-				regListener.setActivationId(job.getActivationId());
-				regListener.setBaseUrl(job.getBaseUrl());
-				regListener.setActivationId(job.getActivationId());
-				regListener.setAdminEmails(job.getAdminEmails());
-				regListener.setOfficialName(job.getOfficialName());
+//				regListener.setActivationId(job.getActivationId());
+//				regListener.setBaseUrl(job.getBaseUrl());
+//				regListener.setActivationId(job.getActivationId());
+//				regListener.setAdminEmails(job.getAdminEmails());
+//				regListener.setOfficialName(job.getOfficialName());
 				regListener.setUserMail(job.getUserEmail());
 				regListener.setDatasourceId(job.getDatasourceId());
 				regListener.setInterfaceId(job.getInterfaceId());
-				regListener.setValidationSet(job.getValidationSet());
-				regListener.setDesiredCompLevel(job.getDesiredCompatibilityLevel());
-				regListener.setRepoType(job.getRepoType());
-				regListener.setInterfaceIdOld(job.getInterfaceIdOld());
+//				regListener.setValidationSet(job.getValidationSet());
+//				regListener.setDesiredCompLevel(job.getDesiredCompatibilityLevel());
+//				regListener.setRepoType(job.getRepoType());
+//				regListener.setInterfaceIdOld(job.getInterfaceIdOld());
 				regListener.setUpdateExisting(job.isUpdateExisting());	
 				regListener.setTotalJobs(usageJobs + contentJobs);
 			}
Index: modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java
===================================================================
--- modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/java/eu/dnetlib/validator/service/impls/listeners/RegistrationListener.java	(revision 56962)
@@ -1,10 +1,10 @@
 package eu.dnetlib.validator.service.impls.listeners;
 
-import java.util.ArrayList;
 import java.util.List;
 import java.util.Map;
 
 import org.apache.log4j.Logger;
+import org.springframework.http.*;
 import org.springframework.transaction.annotation.Propagation;
 import org.springframework.transaction.annotation.Transactional;
 
@@ -14,157 +14,45 @@
 import eu.dnetlib.validator.engine.execution.CompletedTask;
 import eu.dnetlib.validator.engine.execution.JobListener;
 import gr.uoa.di.driver.util.ServiceLocator;
+import org.springframework.util.LinkedMultiValueMap;
+import org.springframework.util.MultiValueMap;
+import org.springframework.web.client.RestTemplate;
 
 public class RegistrationListener implements JobListener{
 	
-	private Emailer emailer = null;
-	private String valBaseUrl = null;
+//	private String valBaseUrl = null;
+	private String providerUrl = null;
 	private JobsDAO jobsDao;
-	private ServiceLocator<DatasourceManagerService> dmService = null;
-	
-	private static final int BASE_SCORE = 50;
-	
+
 	private int jobId;
-	private String activationId, userMail, officialName, baseUrl, datasourceId, interfaceId, interfaceIdOld, validationSet, desiredCompLevel, repoType;
+//	private String activationId;
+	private String userMail;
+//	private String officialName;
+//	private String baseUrl;
+	private String datasourceId;
+	private String interfaceId;
+//	private String interfaceIdOld;
+//	private String validationSet;
+//	private String desiredCompLevel;
+//	private String repoType;
 
-	private String msgSubject;
-	
 	private boolean updateExisting;
-
-	private List<String> adminEmails;
 	
-	private boolean job1Success = false;
-	private boolean job2Success = false; 
-	
-	private boolean critFailDone = false;
-	
 	private int totalJobs;
 	private int jobsFinished = 0;
 	
 	private int score_content = 0, score_usage = 0;
-	
+
 	private static Logger logger = Logger.getLogger(RegistrationListener.class);
-	
-	
+
 	public RegistrationListener() {
-		logger.debug("Creating a pre-registration listener for job "+jobId + " on repo "+baseUrl);
+		logger.error("Creating new registration listener");
 	}
 
-	public synchronized void jobSuccess(int jobId, int score_content, int score_usage) {
-		logger.debug("Preregistration job "+jobId+" finished");
-		this.score_content = score_content;
-		this.score_usage = score_usage;
-		this.jobId=jobId;
-		if (score_content >= BASE_SCORE)
-			job1Success = true;
-		if (score_usage >= BASE_SCORE)
-			job2Success = true;
-		if (job1Success == job2Success == true) {
-			this.criticalSuccess();
-		} else {
-			if(!critFailDone)
-				this.criticalFailure();
-			critFailDone = true;
-		}
-	}
-
-	
-	public synchronized void jobFailure(int jobId, String error) {
-		logger.debug("Pregistration job "+jobId+" failed with exception: "+error);
-		this.jobId=jobId;
-		if(!critFailDone)
-			this.criticalFailure();
-		critFailDone = true;
-	}
-	
-	private void criticalSuccess() {
-		try {
-			String msgOpenaireV2 = "OpenAIRE v2, please consider to upgrade to OpenAIRE Guidelines v3. Link: https://guidelines.openaire.eu/wiki/OpenAIRE_Guidelines:_For_Literature_repositories";
-			String msgDriver = "OpenAIRE Basic (ex DRIVER) Guidelines, please consider to upgrade to OpenAIRE Guidelines v3. Link: https://guidelines.openaire.eu/wiki/OpenAIRE_Guidelines:_For_Literature_repositories";
-			String msgOpenaireV3 = "OpenAIRE Guidelines v3 (for literature)";
-			String msgOpenaireV2_data = "OpenAIRE Guidelines v2 (for data archives)";
-			String msgVersion = msgOpenaireV3;
-			String msg100 = "\n\nWe also encourage you to display the following logo at your repository's/journal's homepage to indicate that it is 100% OpenAIRE compliant: " + valBaseUrl + "/jsps/images/compliant.png";
-			String msgInformUser = "An email has been send to the repository's/journal's administrators to inform them about this registration";
-			String msgInformAdmins = "The " + repoType + " was registered by user: " + userMail + " , who is not listed as repository's/journal's administrator. If you have any concerns, please visit " + valBaseUrl + " to edit your repository's/journal's information. Please Sign in or Register with this email address.";
-			String msgGuidelines = "OpenAIRE Guidelines v3 (for literature)";
-			logger.debug("Critical Success of pre-registration validations on repo: "+baseUrl+" and set: " + validationSet + " with scores ("+score_content+", "+score_usage+")");
-			
-			if (this.desiredCompLevel.equalsIgnoreCase("openaire2.0")) {
-				msgVersion = msgOpenaireV2;
-				msgGuidelines = "OpenAIRE For Literature Repositories (OpenAIRE 2.0)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("driver")) {
-				msgVersion = msgDriver;
-				msgGuidelines = "OpenAIRE For Literature Repositories (Basic - ex DRIVER)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("openaire2.0_data")) {
-				msgVersion = msgOpenaireV2_data;
-				msgGuidelines = "OpenAIRE For Data Archives (OpenAIRE 2.0)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("openaire3.0")) {
-				msgVersion = msgOpenaireV3;
-				msgGuidelines = "OpenAIRE For Literature Repositories (OpenAIRE 3.0)";
-			}
-			if (score_content == 100 && score_usage == 100)
-				emailer.sendMail(this.adminEmails, getMsgSubject() + "- Test Results [" + this.officialName + "]", "Congratulations!! Your " + repoType + " has successfully passed the test to become compliant with " + msgVersion + "." + msg100, false, null);
-			else
-				emailer.sendMail(this.adminEmails, getMsgSubject() + "- Test Results [" + this.officialName + "]", "Congratulations!! Your " + repoType + " has successfully passed the test to become compliant with " + msgVersion + ".", false, null);
-			
-			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, desiredCompLevel, validationSet, baseUrl, interfaceIdOld);
-						
-			// mail to user informing him of the success
-			List<String> rec = new ArrayList<String>();
-			rec.add(this.userMail);
-			if (adminEmails.contains(userMail)) {
-				emailer.sendMail(rec, getMsgSubject() + "- Results [" + this.officialName + "]", "The compatibility test of your " + repoType + " was successful. Nevertheless, some erros might still exist. We strongly recommend reviewing the results and correcting any errors found:\n" + valBaseUrl + "/prepareSummary.action?jobId=" + this.jobId +  "\n", false, null);
-			}
-			else {
-				emailer.sendMail(rec, getMsgSubject() + "- Results [" + this.officialName + "]", "The compatibility test of your " + repoType + " was successful. Nevertheless, some erros might still exist. We strongly recommend reviewing the results and correcting any errors found:\n" + valBaseUrl + "/prepareSummary.action?jobId=" + this.jobId +  "\n\n" + msgInformUser, false, null);
-				rec.clear();
-				rec.addAll(adminEmails);
-				emailer.sendMail(rec, getMsgSubject() + "- Results [" + this.officialName + "]", "The compatibility test of your " + repoType + " was successful. Nevertheless, some erros might still exist. We strongly recommend reviewing the results and correcting any errors found:\n" + valBaseUrl + "/prepareSummary.action?jobId=" + this.jobId  + "\n\n" + msgInformAdmins, false, null);
-			}
-				
-			// mail to specials informing them of the new repository
-			// registration
-			rec.clear();
-			if (this.isUpdateExisting())
-				emailer.sendMail(rec, getMsgSubject() + "- Results (success) [" + this.officialName + "]", "An OpenAIRE compliant " + repoType + " has been updated." + "\n\nOfficial Name: " + this.officialName + "\n\nBase URL: " + this.baseUrl + "\n\nValidation Set: " + this.validationSet + "\n\nGuidelines: " + msgGuidelines, true, null);
-			else
-				emailer.sendMail(rec, getMsgSubject() + "- Results (success) [" + this.officialName + "]", "A new " + repoType + " is ready to be added in the OpenAIRE compliant list." + "\n\nOfficial Name: " + this.officialName + "\n\nBase URL: " + this.baseUrl + "\n\nValidation Set: " + this.validationSet + "\n\nGuidelines: " + msgGuidelines, true, null);
-			
-		} catch (Exception e) {
-			logger.error("", e);
-		}
-	}
-
-	private void criticalFailure() {
-		try {
-			String msgGuidelines = "OpenAIRE For Literature Repositories (OpenAIRE 3.0)";
-			if (this.desiredCompLevel.equalsIgnoreCase("openaire2.0")) {
-				msgGuidelines = "OpenAIRE For Literature Repositories (OpenAIRE 2.0)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("driver")) {
-				msgGuidelines = "OpenAIRE For Literature Repositories (Basic - ex DRIVER)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("openaire2.0_data")) {
-				msgGuidelines = "OpenAIRE For Data Archives (OpenAIRE 2.0)";
-			} else if (this.desiredCompLevel.equalsIgnoreCase("openaire3.0")) {
-				msgGuidelines = "OpenAIRE For Literature Repositories (OpenAIRE 3.0)";
-			}
-			logger.debug("Critical Failure of pre-registration validations on repo "+baseUrl);
-			// mail to inform user of failure
-			List<String> rec = new ArrayList<String>();
-			rec.add(this.userMail);
-			emailer.sendMail(rec, getMsgSubject() + "- Results [" + this.officialName + "]", "The compatibility test of your " + repoType + " on repo: "+baseUrl+" and set: " + validationSet + " was unsuccessful and the join process has failed. \n" + "Your Scores: " + score_content + "/100 and " + score_usage + "/100 . Score required to pass: >50 \n" +" Please review the results and correct any errors: \n" + valBaseUrl + "/prepareSummary.action?jobId=" + this.jobId + "\n", false, null);
-			emailer.sendMail(new ArrayList<String>(), getMsgSubject() + "- Results (failure) [" + this.officialName + "]", "The compatibility test on "+officialName+" was unsuccessful and the join process has failed. "+ "\n\nOfficial Name: " + this.officialName +  "\n\nBase URL: " + this.baseUrl + "\n\nValidation Set: " + this.validationSet + "\n\nGuidelines: " + msgGuidelines + "\n\nReview the validation results here: \n" + valBaseUrl + "/prepareSummary.action?jobId=" + this.jobId + "\n", true, null);
-			
-			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, "notCompatible", validationSet, baseUrl, interfaceIdOld);
-			
-		} catch (Exception e) {
-			logger.error("", e);
-		}
-	}
-
 	@Override
 	@Transactional(propagation = Propagation.REQUIRED)
 	public synchronized void finished(int jobId, Map<String, Object> jobContext) {
+
 		try{
 			jobsFinished++;
 			if (jobContext.containsKey("score_content")) {
@@ -184,207 +72,212 @@
 			logger.error("Error while finalizing successfull registration job");
 		}
 	}
-	
+
 	@Override
 	@Transactional(propagation = Propagation.REQUIRED)
 	public synchronized void failed(int jobId, Map<String, Object> jobContext, Throwable t) {
+
 		try{
 			jobsDao.setTotalJobFinished(jobId, t.getMessage(), true);
-			this.jobFailure((Integer) jobContext.get("jobSubmittedId"),t.getMessage());	
+			this.jobFailure((Integer) jobContext.get("jobSubmittedId"),t.getMessage());
 		} catch (Exception e) {
 			logger.error("Error while finalizing failed registration job");
 		}
 	}
-	
-	public boolean updateRepositoryInterfaceCompliance(String officialName,
-			String datasourceId, String interfaceId, String desiredCompliance, String set, String baseUrl, String oldId)
-					throws Exception {
-		boolean ret = true;
-		try {
-			if (desiredCompliance.equalsIgnoreCase("openaire2.0_data"))
-				desiredCompliance = "openaire2.0";
-			logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
-			if (oldId == null) {
-				dmService.getService().updateLevelOfCompliance(datasourceId, interfaceId, desiredCompliance);
-			}
-			else {
-				logger.debug("Checking if old interface should be updated");
-				if (!desiredCompliance.equalsIgnoreCase("UNKNOWN") && (!desiredCompliance.equalsIgnoreCase("notCompatible"))) {
-					logger.debug("updating old interface with new set/url");
-					dmService.getService().updateBaseUrl(datasourceId, oldId, baseUrl);
-					if(set.equalsIgnoreCase("none"))
-						dmService.getService().deleteAccessParamOrExtraField(datasourceId, oldId, "set");
-					else
-						dmService.getService().updateAccessParam(datasourceId, oldId, "set", set, false);
-					logger.debug("deleting new interface");
-					dmService.getService().deleteInterface(datasourceId, interfaceId);
-					
-				}
-				logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
-			}
-			java.util.Date utilDate = new java.util.Date();
-			java.sql.Timestamp date = new java.sql.Timestamp(utilDate.getTime());	
-			
-			String updateQuery = "UPDATE datasources SET activationid = " + null + "," +
-					" dateofvalidation = '" + date + "'" +
-					" WHERE id = '" + datasourceId + "'";
-			
-			if (dmService.getService().updateSQL(datasourceId, updateQuery, false))
-				logger.debug("updated successfully");
-			else
-				logger.error("error while updating: " + updateQuery);
-			
-		} catch (Exception e) {
-			logger.error("error connecting to dms to set a repo interface as openaire compliant " + officialName, e);
-			ret = false;
-			throw e;
-		}  	
-		return ret;
-	}	
-	
-	public String getMsgSubject() {
-		if (isUpdateExisting())
-			msgSubject = "Request to update an OpenAIRE " + repoType + " ";
-		else 
-			msgSubject = "Request to Join OpenAIRE ";
-		return msgSubject;
-	}
 
-	
-	public boolean isUpdateExisting() {
-		return updateExisting;
+	@Override
+	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
+											Object object, Map<String, Object> recordContext, Throwable t) {
+		// We don't care about partial results.
 	}
 
-	public void setUpdateExisting(boolean updateExisting) {
-		this.updateExisting = updateExisting;
+	@Override
+	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
+											Object object, Map<String, Object> recordContext) {
+		// We don't care about partial results.
 	}
-	
-	public Emailer getEmailer() {
-		return emailer;
-	}
 
-	public void setEmailer(Emailer emailer) {
-		this.emailer = emailer;
-	}
+	public synchronized void jobSuccess(int jobId, int score_content, int score_usage) {
+		logger.info("Preregistration job "+jobId+" finished");
 
-	public String getValBaseUrl() {
-		return valBaseUrl;
-	}
+		this.score_content = score_content;
+		this.score_usage = score_usage;
+		this.jobId=jobId;
 
-	public void setValBaseUrl(String valBaseUrl) {
-		this.valBaseUrl = valBaseUrl;
+		this.success();
 	}
 
-	public String getActivationId() {
-		return activationId;
-	}
+	public synchronized void jobFailure(int jobId, String error) {
+		logger.info("Pregistration job "+jobId+" failed with exception: "+error);
 
+		this.jobId=jobId;
 
-	public void setActivationId(String activationId) {
-		this.activationId = activationId;
+		this.error();
 	}
+	
+	private void success() {
+		try {
+		    logger.debug("Sending results to provide @ " + providerUrl +"/validator/complete");
+			HttpHeaders headers = new HttpHeaders();
+			headers.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
 
+			MultiValueMap<String, String> map= new LinkedMultiValueMap<String, String>();
+			map.add("interfaceId", this.interfaceId);
+			map.add("repoId",this.datasourceId);
+			map.add("jobId",Integer.toString(this.jobId));
+			map.add("issuerEmail",this.userMail);
+			map.add("isUpdate",Boolean.toString(this.updateExisting));
 
-	public String getUserMail() {
-		return userMail;
-	}
+			// isUsccess: the job finished succesfully, regardless of validation scores.
 
+			map.add("isSuccess","true");
+			map.add("scoreUsage", Integer.toString(score_usage));
+			map.add("scoreContent",Integer.toString(score_content));
 
-	public void setUserMail(String userMail) {
-		this.userMail = userMail;
-	}
+			HttpEntity<MultiValueMap<String, String>> request = new HttpEntity<MultiValueMap<String, String>>(map, headers);
+			RestTemplate restTemplate = new RestTemplate();
 
+			ResponseEntity<String> response = restTemplate.postForEntity( providerUrl + "/validator/complete", request , String.class );
 
-	public String getOfficialName() {
-		return officialName;
+//			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, desiredCompLevel, validationSet, baseUrl, interfaceIdOld);
+
+		} catch (Exception e) {
+			logger.error("", e);
+		}
 	}
 
+	private void error() {
+		try {
+			logger.debug("Sending results to provide @ " + providerUrl + "/validator/complete");
+			HttpHeaders headers = new HttpHeaders();
+			headers.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
 
-	public void setOfficialName(String officialName) {
-		this.officialName = officialName;
-	}
+			MultiValueMap<String, String> map = new LinkedMultiValueMap<String, String>();
+			map.add("interfaceId", this.interfaceId);
+			map.add("repoId", this.datasourceId);
+			map.add("jobId", this.jobId + "");
+			map.add("issuerEmail", this.userMail);
+			map.add("isUpdate", this.updateExisting + "");
 
+			// The job failed to complete. Validator error or Repository is completely dead and cannot be validated.
+			map.add("isSuccess", "false");
+			map.add("scoreUsage", score_usage + "");
+			map.add("scoreContent", score_content + "");
 
-	public String getBaseUrl() {
-		return baseUrl;
-	}
+			HttpEntity<MultiValueMap<String, String>> request = new HttpEntity<MultiValueMap<String, String>>(map, headers);
+			RestTemplate restTemplate = new RestTemplate();
 
+			ResponseEntity<String> response = restTemplate.postForEntity(providerUrl + "/validator/complete", request, String.class);
 
-	public void setBaseUrl(String baseUrl) {
-		this.baseUrl = baseUrl;
+//			this.updateRepositoryInterfaceCompliance(officialName, datasourceId, interfaceId, "notCompatible", validationSet, baseUrl, interfaceIdOld);
+		} catch (Exception e) {
+			logger.error("", e);
+		}
 	}
 
-	public String getDatasourceId() {
-		return datasourceId;
-	}
 
-	public void setDatasourceId(String datasourceId) {
-		this.datasourceId = datasourceId;
-	}
+	
+//	public boolean updateRepositoryInterfaceCompliance(String officialName,
+//			String datasourceId, String interfaceId, String desiredCompliance, String set, String baseUrl, String oldId)
+//					throws Exception {
+//		boolean ret = true;
+//		try {
+//			if (desiredCompliance.equalsIgnoreCase("openaire2.0_data"))
+//				desiredCompliance = "openaire2.0";
+//			logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
+//			if (oldId == null) {
+//				dmService.getService().updateLevelOfCompliance(datasourceId, interfaceId, desiredCompliance);
+//			}
+//			else {
+//				logger.debug("Checking if old interface should be updated");
+//				if (!desiredCompliance.equalsIgnoreCase("UNKNOWN") && (!desiredCompliance.equalsIgnoreCase("notCompatible"))) {
+//					logger.debug("updating old interface with new set/url");
+//					dmService.getService().updateBaseUrl(datasourceId, oldId, baseUrl);
+//					if(set.equalsIgnoreCase("none"))
+//						dmService.getService().deleteAccessParamOrExtraField(datasourceId, oldId, "set");
+//					else
+//						dmService.getService().updateAccessParam(datasourceId, oldId, "set", set, false);
+//					logger.debug("deleting new interface");
+//					dmService.getService().deleteInterface(datasourceId, interfaceId);
+//
+//				}
+//				logger.debug("updating repository " + officialName + " compliance to : " + desiredCompliance);
+//			}
+//			java.util.Date utilDate = new java.util.Date();
+//			java.sql.Timestamp date = new java.sql.Timestamp(utilDate.getTime());
+//
+//			String updateQuery = "UPDATE datasources SET activationid = " + null + "," +
+//					" dateofvalidation = '" + date + "'" +
+//					" WHERE id = '" + datasourceId + "'";
+//
+//			if (dmService.getService().updateSQL(datasourceId, updateQuery, false))
+//				logger.debug("updated successfully");
+//			else
+//				logger.error("error while updating: " + updateQuery);
+//
+//		} catch (Exception e) {
+//			logger.error("error connecting to dms to set a repo interface as openaire compliant " + officialName, e);
+//			ret = false;
+//			throw e;
+//		}
+//		return ret;
+//	}
+//
 
-	public String getInterfaceId() {
-		return interfaceId;
+	public String getProviderUrl() {
+		return providerUrl;
 	}
 
-	public void setInterfaceId(String interfaceId) {
-		this.interfaceId = interfaceId;
+	public void setProviderUrl(String providerUrl) {
+		this.providerUrl = providerUrl;
 	}
 
-	public String getValidationSet() {
-		return validationSet;
+	public JobsDAO getJobsDao() {
+		return jobsDao;
 	}
 
-	public void setValidationSet(String validationSet) {
-		this.validationSet = validationSet;
+	public void setJobsDao(JobsDAO jobsDao) {
+		this.jobsDao = jobsDao;
 	}
 
-	public List<String> getAdminEmails() {
-		return adminEmails;
+	public int getJobId() {
+		return jobId;
 	}
 
-
-	public void setAdminEmails(List<String> adminEmails) {
-		this.adminEmails = adminEmails;
+	public void setJobId(int jobId) {
+		this.jobId = jobId;
 	}
 
-
-	@Override
-	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
-			Object object, Map<String, Object> recordContext, Throwable t) {
-		// TODO Auto-generated method stub
-		
+	public String getUserMail() {
+		return userMail;
 	}
 
-	@Override
-	public synchronized void currentResults(List<CompletedTask> tasks, int jobId,
-			Object object, Map<String, Object> recordContext) {
-		// TODO Auto-generated method stub
-		
+	public void setUserMail(String userMail) {
+		this.userMail = userMail;
 	}
 
-
-	public String getDesiredCompLevel() {
-		return desiredCompLevel;
+	public String getDatasourceId() {
+		return datasourceId;
 	}
 
-	public void setDesiredCompLevel(String desiredCompLevel) {
-		this.desiredCompLevel = desiredCompLevel;
+	public void setDatasourceId(String datasourceId) {
+		this.datasourceId = datasourceId;
 	}
 
-	public String getRepoType() {
-		return repoType;
+	public String getInterfaceId() {
+		return interfaceId;
 	}
 
-	public void setRepoType(String repoType) {
-		this.repoType = repoType;
+	public void setInterfaceId(String interfaceId) {
+		this.interfaceId = interfaceId;
 	}
 
-	public String getInterfaceIdOld() {
-		return interfaceIdOld;
+	public boolean isUpdateExisting() {
+		return updateExisting;
 	}
 
-	public void setInterfaceIdOld(String interfaceIdOld) {
-		this.interfaceIdOld = interfaceIdOld;
+	public void setUpdateExisting(boolean updateExisting) {
+		this.updateExisting = updateExisting;
 	}
 
 	public int getTotalJobs() {
@@ -394,21 +287,4 @@
 	public void setTotalJobs(int totalJobs) {
 		this.totalJobs = totalJobs;
 	}
-
-	public ServiceLocator<DatasourceManagerService> getDmService() {
-		return dmService;
-	}
-
-	public void setDmService(ServiceLocator<DatasourceManagerService> dmService) {
-		this.dmService = dmService;
-	}
-
-	public JobsDAO getJobsDao() {
-		return jobsDao;
-	}
-
-	public void setJobsDao(JobsDAO jobsDao) {
-		this.jobsDao = jobsDao;
-	}
-
 }
Index: modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/springContext-validator-service-IS.xml
===================================================================
--- modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/springContext-validator-service-IS.xml	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/springContext-validator-service-IS.xml	(revision 56962)
@@ -38,7 +38,7 @@
 
 	<!-- Service endpoint -->
 	<jaxws:endpoint 
-		id="validatorWebService" 
+		id="validatorWebService"
 		implementor="#validatorWebServiceImpl"
 		implementorClass="eu.dnetlib.clients.functionality.validator.ws.ValidatorWebService"
 		address="/validatorWebService"/>
Index: modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/config/springContext-validator-config.xml
===================================================================
--- modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/config/springContext-validator-config.xml	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/config/springContext-validator-config.xml	(revision 56962)
@@ -8,7 +8,7 @@
 	xmlns:template="http://dnetlib.eu/springbeans/template"
 	xmlns:t="http://dnetlib.eu/springbeans/t"
 	xmlns:tx="http://www.springframework.org/schema/tx"
-	
+
 	xsi:schemaLocation="
 		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
         http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.0.xsd
@@ -32,7 +32,7 @@
 			</bean>
 		</property>
 		<property name="ignoreUnresolvablePlaceholders" value="true" />
-		
+
 		<property name="locations">
 			<list>
 				<value>classpath*:/eu/**/applicationContext*.properties</value>
Index: modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml
===================================================================
--- modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/resources/eu/dnetlib/validator/service/listeners/springContext-validator-listeners.xml	(revision 56962)
@@ -27,9 +27,8 @@
 	</bean>
 	
 	<bean id ="openaireValRegListener" class="eu.dnetlib.validator.service.impls.listeners.RegistrationListener" scope="prototype">
-		<property name="emailer" ref="emailer" />
-		<property name="valBaseUrl" value="${services.validator.webBaseUrl}" />
-		<property name="dmService" ref="datasourceManagerServiceLocator" />
+<!--		<property name="valBaseUrl" value="${services.validator.webBaseUrl}" />-->
+		<property name="providerUrl" value="${provider.endpoint}"/>
 		<property name="jobsDao" ref="jobsDao" />
 	</bean>	
 	
Index: modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties
===================================================================
--- modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 56961)
+++ modules/uoa-validator-service/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 56962)
@@ -2,8 +2,8 @@
 
 log4j.logger.eu.dnetlib = DEBUG
 log4j.logger.gr.uoa = DEBUG
-log4j.logger.org.springframework = DEBUG, S
-log4j.logger.org.hsqldb = DEBUG, S
+log4j.logger.org.springframework = WARN, S
+log4j.logger.org.hsqldb = WARN, S
 
 
 #log4j.logger.eu.dnetlib = INFO
@@ -11,6 +11,8 @@
 #log4j.logger.org.springframework = INFO, S
 #log4j.logger.org.hsqldb = INFO, S
 
+log4j.logger.eu.dnetlib.validator.engine = ERROR
+log4j.logger.org.apache.cxf = ERROR
 log4j.logger.org.apache.cxf.interceptor=FATAL
 log4j.logger.org.apache.cxf.ws.addressing.ContextUtils=FATAL
 log4j.logger.eu.dnetlib.enabling.tools.AbstractBaseService=INFO
Index: modules/uoa-validator-service/trunk/pom.xml
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: modules/uoa-validator-service/trunk
===================================================================
--- modules/uoa-validator-service/trunk	(revision 56961)
+++ modules/uoa-validator-service/trunk	(revision 56962)

Property changes on: modules/uoa-validator-service/trunk
___________________________________________________________________
Modified: svn:ignore
## -1,7 +1 ##
-target
-.classpath
-.settings
-.project
-*.sh
-*.iml
-*.idea
+src/main/resources/application.properties