Index: modules/dnet-mapreduce-jobs/trunk/src/test/java/eu/dnetlib/data/transform/XsltRowTransformerFactoryTest.java
===================================================================
--- modules/dnet-mapreduce-jobs/trunk/src/test/java/eu/dnetlib/data/transform/XsltRowTransformerFactoryTest.java	(revision 57185)
+++ modules/dnet-mapreduce-jobs/trunk/src/test/java/eu/dnetlib/data/transform/XsltRowTransformerFactoryTest.java	(revision 57186)
@@ -240,6 +240,14 @@
 	}
 
 	@Test
+	public void testODF() throws Exception {
+
+		final List<Row> rows = Lists.newArrayList();
+		rows.addAll(asRows(loadFromTransformationProfile("oaf2hbase.xml"), load("odf.xml")));
+		printAll(mapAll(buildTable(rows)));
+	}
+
+	@Test
 	public void testPangaea() throws Exception {
 
 		final List<Row> rows = Lists.newArrayList();
Index: modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/mapreduce/actions/scholix.json
===================================================================
--- modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/mapreduce/actions/scholix.json	(revision 57185)
+++ modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/mapreduce/actions/scholix.json	(revision 57186)
@@ -1,2 +1,3 @@
 {"typology": "publication", "publisher": ["Springer Nature"], "doiRels": [], "datasources": [{"completionStatus": "complete", "datasourceName": "Crossref", "datasourceId": "dli_________::crossref"}, {"completionStatus": "complete", "datasourceName": "OpenAIRE", "datasourceId": "dli_________::openaire"}], "relatedUnknown": 0, "externalRels": [{"relationSemantic": "references", "collectedFrom": "OpenAIRE", "dnetId": "60|openaire____::3ca7996f69d717d38698d0a6ba9b87b0", "id": {"identifier": "10.6084/m9.figshare.1243526", "schema": "url"}}], "abstract": "Background Abnormal uterine bleeding (AUB) is one of the most common debilitating menstrual problems and has remained one of the most frequent indications for hysterectomy in developing countries. Approximately in 40% of hysterectomy specimens, no definite organic pathology could be established. The problem is common worldwide but causes may vary from one region to another. This study may help gynecologists in our population to improve their therapeutic strategies by promoting minimally invasive uterus sparing modalities such as endometrial ablation and hysteroscopic resection of early proliferative lesions. Methods It was a prospective, cross-sectional study conducted at Liaquat National Hospital from 15th January 2010 till 14th July 2011 over a period of 18 months. Women who underwent dilatation and curettage for endometrial sampling with complaints of AUB were included in the study and histopathologic spectrum was determined. Results Polymenorrhea was the most common presenting pattern (30%, 72/241) with reproductive age women being the most susceptible (49.3%,119/241). The commonest histopathological spectrum was normal menstrual pattern (34%, 82/241) and the commonest pathology was hormonal imbalance (27%, 65/241), followed by endometrial polyp (14%, 34/241), chronic endometritis (12%, 28/241), atrophic endometrium (6%, 15/241), endometrial hyperplasia (5%, 12/241), and endometrial carcinoma (2%, 5/241). Chronic endometritis was commonly seen in reproductive age (18%, 21/119); hormonal imbalance (45%, 35/77) and endometrial hyperplasia (6.5%, 5/77) in perimenopausal age; endometrial polyp (35.5%, 16/45) and endometrial carcinoma (9%, 4/45) in postmenopausal age. Conclusion Frequency of benign endometrial pathology is quite high in AUB, 236 participants (98%, 236/241). Histopathological spectrum in patients with AUB is quite variable with respect to age. The most common pattern of AUB was polymenorrhea. The most common pathology was hormonal imbalance. It is suggested that age was associated with more progressive lesions found in peri and postmenopausal age group such as endometrial hyperplasia and endometrial carcinoma. Yet endometrial polyp was the most common pathology found in postmenopausal women. Therefore, the management strategy should be individualized, as in most cases a restrictive approach is appropriate in order to avoid unnecessary hysterectomies.", "author": ["Hashmi Atif Ali", "Abid, Mariam", "Khan Mehmood", "Edhi, Muhammad Muzzammil", "Haroon, Saroona", "Faridi, Naveen", "Hashmi, Atif Ali", "Edhi Muhammad Muzzammil", "Malik Babar", "Faridi Naveen", "Abid Mariam", "Malik, Babar", "Haroon Saroona", "Khan, Mehmood"], "localIdentifier": [{"type": "openaire", "id": "oai:dnet:od_______908::0d24a5c002518e7b01347d17cfa56b05"}, {"type": "doi", "id": "10.1186/s12905-014-0132-7"}], "id": "50|dedup_wf_001::17aabea0828e27913820decf9eaa8ee6", "relatedPublications": 0, "date": [""], "title": ["Clinical pattern and spectrum of endometrial pathologies in patients with abnormal uterine bleeding in Pakistan: need to adopt a more conservative approach to treatment"], "relatedDatasets": 1, "subject": [{"scheme": "keyword", "value": "Abnormal uterine bleeding"}, {"scheme": "keyword", "value": "Endometrial polyp"}, {"scheme": "keyword", "value": "Endometrial biopsy"}, {"scheme": "keyword", "value": "Endometrial hyperplasia"}, {"scheme": "keyword", "value": "Endometrial carcinoma"}, {"scheme": "keyword", "value": "Research Article"}, {"scheme": "keyword", "value": "Endometrial pathology"}]}
 {"typology": "publication", "doiRels": [], "datasources": [{"completionStatus": "complete", "datasourceName": "Australian National Data Service", "datasourceId": "dli_________::r3d100010464"}], "relatedDatasets": 3, "relatedUnknown": 0, "externalRels": [{"relationSemantic": "unknown", "collectedFrom": "Australian National Data Service", "dnetId": "60|dedup_wf_001::3ad6506ab0a76fd7f18c01bbb10737b6", "id": {"identifier": "http://catalogue.aodn.org.au/metadataviewer/faces/view.xhtml?uuid=a05f7892-f037-7506-e044-00144fdd4fa6", "schema": "url"}}], "author": ["Geoscience Australia"], "localIdentifier": [{"type": "url", "id": "http://www.ga.gov.au/metadata-gateway/metadata/record/70203/"}, {"type": "doi", "id": "10.4225/25/550111e986776"}], "relatedPublications": 0, "title": ["Still Images and Videos from Tasmanian Shelf survey"], "id": "50|dedup_wf_001::98fe9e18619f8054847e023aee45893e"}
+{"typology": "publication", "publisher": ["DIE - German Institute for Adult Education"], "doiRels": [{"dnetId": "60|dli_resolver::1c82cb213dfde57450ba02b3b2f2d7ca", "relationSemantic": "datacite", "id": {"identifier": "10.12764/30227_p75", "schema": "doi"}, "collectedFrom": "Datasets in Datacite"}, {"dnetId": "60|dli_resolver::86957040fbd92963f7e5c99e7f27a075", "relationSemantic": "datacite", "id": {"identifier": "10.12764/30227", "schema": "doi"}, "collectedFrom": "Datasets in Datacite"}, {"dnetId": "60|dli_resolver::61e14349c5cb5d1292348ea0a4786d43", "relationSemantic": "datacite", "id": {"identifier": "10.12764/30227_p73", "schema": "doi"}, "collectedFrom": "Datasets in Datacite"}], "datasources": [{"completionStatus": "complete", "datasourceId": "dli_________::datacite", "datasourceName": "Datasets in Datacite"}], "relatedDatasets": 3, "relatedUnknown": 0, "externalRels": [], "abstract": "", "author": ["Volkshochschule Der Stadt Wetzlar"], "localIdentifier": [{"type": "doi", "id": "10.12764/30227_p74"}], "source": "50|datacite____::0026afce3083ee3da36fb6d79035c34b", "relatedPublications": 0, "date": ["2008"], "title": ["Volkshochschule der Stadt Wetzlar: Frühjahrsprogramm 2008, S. 74"], "id": "50|datacite____::0026afce3083ee3da36fb6d79035c34b", "subject": null}
Index: modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/transform/odf.xml
===================================================================
--- modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/transform/odf.xml	(nonexistent)
+++ modules/dnet-mapreduce-jobs/trunk/src/test/resources/eu/dnetlib/data/transform/odf.xml	(revision 57186)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<record xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dr="http://www.driver-repository.eu/namespace/dr" xmlns:dri="http://www.driver-repository.eu/namespace/dri" xmlns:oaf="http://namespace.openaire.eu/oaf">
+    <header>
+        <dri:objIdentifier>sygma_______::2c1ba525e0acf7b8b7db4c339f56a206</dri:objIdentifier>
+        <dri:recordIdentifier>10.5220/0006712905790586</dri:recordIdentifier>
+        <dri:dateOfCollection>2019-04-11T14:51:27.828+02:00</dri:dateOfCollection>
+        <oaf:datasourceprefix>sygma_______</oaf:datasourceprefix>
+        <dr:dateOfTransformation>2019-04-12T17:13:06.672+02:00</dr:dateOfTransformation>
+    </header>
+    <metadata>
+        <dc:language>eng</dc:language>
+        <oaf:accessrights>UNKNOWN</oaf:accessrights>
+        <oaf:hostedBy id="openaire____::1256f046-bf1f-4afc-8b47-d0b147148b18" name="Unknown Repository"/>
+        <oaf:collectedFrom name="Sygma" id="openaire____::sygma"/>
+        <dc:identifier>http://dx.doi.org/10.5220/0006712905790586</dc:identifier>
+        <oaf:identifier identifierType="doi">10.5220/0006712905790586</oaf:identifier>
+        <dc:publisher>SCITEPRESS - Science and Technology Publications</dc:publisher>
+        <dc:source>isbn: 978-989-758-281-3</dc:source>
+        <dc:type>info:eu-repo/semantics/conferenceObject</dc:type>
+        <dc:type>conference paper</dc:type>
+        <dc:source>Proceedings of the 11th International Joint Conference on Biomedical Engineering Systems and Technologies</dc:source>
+        <dr:CobjCategory>0004</dr:CobjCategory>
+        <dc:creator>Pistorio, Andrea</dc:creator>
+        <dc:creator>Gastaldi, Luca</dc:creator>
+        <dc:creator>Locatelli, Paolo</dc:creator>
+        <dc:creator>Corso, Mariano</dc:creator>
+        <dc:title>(Re-)Designing the Business Model of a Digital Ecosystem: An Example in the Socio-Care Context</dc:title>
+        <dc:date>2018</dc:date>
+        <oaf:projectid>corda__h2020::643588</oaf:projectid>
+    </metadata>
+    <provenance xmlns="http://www.openarchives.org/OAI/2.0/provenance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/provenance http://www.openarchives.org/OAI/2.0/provenance.xsd">
+        <originDescription harvestDate="2019-04-11T14:51:27.828+02:00" altered="true">
+            <baseURL>file:///var/lib/dnet/data/sygma/dataset/crossref</baseURL>
+            <identifier/>
+            <datestamp/>
+            <metadataNamespace/>
+        </originDescription>
+    </provenance>
+    <oaf:datainfo>
+        <oaf:inferred>false</oaf:inferred>
+        <oaf:deletedbyinference>false</oaf:deletedbyinference>
+        <oaf:trust>0.9</oaf:trust>
+        <oaf:inferenceprovenance/>
+        <oaf:provenanceaction schemename="dnet:provenanceActions" schemeid="dnet:provenanceActions" classname="sysimport:crosswalk:datasetarchive" classid="sysimport:crosswalk:datasetarchive"/>
+    </oaf:datainfo>
+</record>
\ No newline at end of file
Index: modules/dnet-mapreduce-jobs/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/dataimport/ScholixToActions.java
===================================================================
--- modules/dnet-mapreduce-jobs/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/dataimport/ScholixToActions.java	(revision 57185)
+++ modules/dnet-mapreduce-jobs/trunk/src/main/java/eu/dnetlib/data/mapreduce/hbase/dataimport/ScholixToActions.java	(revision 57186)
@@ -125,7 +125,7 @@
                         .setQualifier(getQualifier("dnet:date", "dnet:date"))
                         .build()));
 
-        if (rootElement.has("subject")) {
+        if (rootElement.has("subject") && !rootElement.get("subject").isJsonNull()) {
             JsonArray subject = rootElement.getAsJsonArray("subject");
             subject.forEach(it -> {
                     final JsonObject item = it.getAsJsonObject();