Index: modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceClient.java
===================================================================
--- modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceClient.java	(revision 57214)
+++ modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceClient.java	(revision 57215)
@@ -6,12 +6,16 @@
 import eu.dnetlib.api.functionality.ValidatorServiceException;
 import eu.dnetlib.clients.ws.BaseWebServiceClient;
 import eu.dnetlib.domain.functionality.validator.JobForValidation;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.domain.functionality.validator.RuleSet;
 import eu.dnetlib.domain.functionality.validator.StoredJob;
+import org.apache.log4j.Logger;
 
 public class ValidatorWebServiceClient extends
 		BaseWebServiceClient<ValidatorWebService> implements ValidatorService {
 
+	private Logger logger = Logger.getLogger(ValidatorWebServiceClient.class);
+
 	@Override
 	public StoredJob getStoredJob(int jobId, String groupBy)
 			throws ValidatorServiceException {
@@ -19,6 +23,12 @@
 	}
 
 	@Override
+	public List<StoredJob> getJobSummary(List<String> baseUrl, int size)
+			throws ValidatorServiceException {
+		return this.webService.getJobSummary(baseUrl, size);
+	}
+
+	@Override
 	public List<StoredJob> getStoredJobs(String userMail, String jobType, Integer offset, Integer limit, String dateFrom, String dateTo)
 			throws ValidatorServiceException {
 		return this.webService.getStoredJobs(userMail, jobType, offset, limit, dateFrom, dateTo);
Index: modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebService.java
===================================================================
--- modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebService.java	(revision 57214)
+++ modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebService.java	(revision 57215)
@@ -10,6 +10,7 @@
 import eu.dnetlib.api.functionality.ValidatorServiceException;
 import eu.dnetlib.clients.ws.DriverWebService;
 import eu.dnetlib.domain.functionality.validator.JobForValidation;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.domain.functionality.validator.RuleSet;
 import eu.dnetlib.domain.functionality.validator.StoredJob;
 
@@ -19,6 +20,9 @@
 	@WebMethod(operationName = "getStoredJob")
 	StoredJob getStoredJob(@WebParam(name = "jobId") int jobId, @WebParam(name = "groupBy") String groupBy) throws ValidatorServiceException;
 
+	@WebMethod(operationName = "getJobSummary")
+	List<StoredJob> getJobSummary(@WebParam(name = "baseUrl") List<String> baseUrl, @WebParam(name = "limit") int limit) throws ValidatorServiceException;
+
 	@WebMethod(operationName = "getStoredJobs")
 	List<StoredJob> getStoredJobs(@WebParam(name = "userMail") String userMail, @WebParam(name = "jobType") String jobType, @WebParam(name = "offset") Integer offset, @WebParam(name = "limit") Integer limit, @WebParam(name = "dateFrom") String dateFrom, @WebParam(name = "dateTo") String dateTo) throws ValidatorServiceException;
 
Index: modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceImpl.java
===================================================================
--- modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceImpl.java	(revision 57214)
+++ modules/uoa-clients/trunk/src/main/java/eu/dnetlib/clients/functionality/validator/ws/ValidatorWebServiceImpl.java	(revision 57215)
@@ -4,6 +4,7 @@
 import eu.dnetlib.api.functionality.ValidatorServiceException;
 import eu.dnetlib.clients.ws.BaseDriverWebService;
 import eu.dnetlib.domain.functionality.validator.JobForValidation;
+import eu.dnetlib.domain.functionality.validator.JobResultEntry;
 import eu.dnetlib.domain.functionality.validator.RuleSet;
 import eu.dnetlib.domain.functionality.validator.StoredJob;
 
@@ -25,6 +26,11 @@
 	}
 
 	@Override
+	public List<StoredJob> getJobSummary(List<String> baseUrl, int limit) throws ValidatorServiceException {
+		return service.getJobSummary(baseUrl,limit);
+	}
+
+	@Override
 	public List<StoredJob> getStoredJobs(String userMail, String jobType,
 			Integer offset, Integer limit, String dateFrom, String dateTo) throws ValidatorServiceException {
 		return service.getStoredJobs(userMail, jobType, offset, limit, dateFrom, dateTo);